-- Locals
KARaidTracker_ItemOptions = { }


function KARaidTracker_ItemOptions.ScrollBar_Update()
	local db = KARaidTrackerDB

	table.sort(db.ItemOptions, function(a1, a2) return a1["id"] < a2["id"]; end);
	local line;
	local lineplusoffset;
	local maxlines = getn(db.ItemOptions);
	local text;
	FauxScrollFrame_Update(KARaidTracker_ItemOptionsFrame_ScrollBar, maxlines, 24, 14);
	for line=1, 24 do
		local thisline = getglobal("KARaidTracker_ItemOptionsFrame_Entry"..line);
		lineplusoffset = line + FauxScrollFrame_GetOffset(KARaidTracker_ItemOptionsFrame_ScrollBar);
		if lineplusoffset <= maxlines then
	    	local nameGIF, linkGIF, qualityGIF, LevelGIF, minLevelGIF, classGIF, subclassGIF, maxStackGIF, invtypeGIV, iconGIF = GetItemInfo(db.ItemOptions[lineplusoffset]["id"]);
	    	if(nameGIF) then
	    		db.ItemOptions[lineplusoffset]["name"] = nameGIF;
	    		db.ItemOptions[lineplusoffset]["quality"] = qualityGIF;
	    	end
	    	if(db.ItemOptions[lineplusoffset]["name"]) then
	    		local _, _, _, color = GetItemQualityColor(db.ItemOptions[lineplusoffset]["quality"]);
	    		text = color..db.ItemOptions[lineplusoffset]["name"];
	    	else
	    		text = "Unknown (ID: "..db.ItemOptions[lineplusoffset]["id"]..")";
	    	end
	    	thisline.id = lineplusoffset;
	    	thisline.itemid = db.ItemOptions[lineplusoffset]["id"];
				thisline:SetText(text);
				thisline:Show();
				if(db.Options["ItemOptionsSelected"] == lineplusoffset) then
					getglobal("KARaidTracker_ItemOptionsFrame_Entry"..line.."MouseOver"):Show();
				else
					getglobal("KARaidTracker_ItemOptionsFrame_Entry"..line.."MouseOver"):Hide();
				end
	    else
			thisline:Hide();
			getglobal("KARaidTracker_ItemOptionsFrame_Entry"..line.."MouseOver"):Hide();
		end
	end
end

function KARaidTracker_ItemOptions.SetFrame(id)
	local db = KARaidTrackerDB

	KARaidTracker_ItemOptionsFrame_Edit.id = id;
	KARaidTracker_ItemOptionsFrame_Edit:Hide();
	local itemname;
	if(db.ItemOptions[id]["name"]) then
		local _, _, _, color = GetItemQualityColor(db.ItemOptions[id]["quality"]);
    itemname = color..db.ItemOptions[id]["name"];
	else
		itemname = "Unknown (ID: "..db.ItemOptions[id]["id"]..")";
	end
	KARaidTracker_ItemOptionsFrame_Edit_Item:SetText(itemname);
	KARaidTracker_ItemOptionsFrame_Edit:Show();
end

function KARaidTracker_ItemOptions.Delete(id)
	local db = KARaidTrackerDB

	table.remove(db.ItemOptions, id);
	if(db.Options["ItemOptionsSelected"]) then
		if(db.Options["ItemOptionsSelected"] == id) then
			db.Options["ItemOptionsSelected"] = nil;
		elseif(db.Options["ItemOptionsSelected"] > id) then
			db.Options["ItemOptionsSelected"] = db.Options["ItemOptionsSelected"] - 1;
		end
	end
	KARaidTracker_ItemOptionsFrame_Edit:Hide();
	KARaidTracker_ItemOptions.ScrollBar_Update();
end

function KARaidTracker_ItemOptions.Save()
	local itemOptions = KARaidTrackerDB.ItemOptions

	local id = this:GetParent().id;
	if(KARaidTracker_ItemOptionsFrame_Edit_TrackAlways:GetChecked()) then
		itemOptions[id]["status"] = 1;
	elseif(KARaidTracker_ItemOptionsFrame_Edit_TrackNever:GetChecked()) then
		itemOptions[id]["status"] = 0;
	else
		itemOptions[id]["status"] = nil;
	end
	if(KARaidTracker_ItemOptionsFrame_Edit_GroupAlways:GetChecked()) then
		itemOptions[id]["group"] = 1;
	elseif(KARaidTracker_ItemOptionsFrame_Edit_GroupNever:GetChecked()) then
		itemOptions[id]["group"] = 0;
	else
		itemOptions[id]["group"] = nil;
	end
	if(KARaidTracker_ItemOptionsFrame_Edit_CostsGrabbingAlways:GetChecked()) then
		itemOptions[id]["costsgrabbing"] = 1;
	elseif(KARaidTracker_ItemOptionsFrame_Edit_CostsGrabbingNever:GetChecked()) then
		itemOptions[id]["costsgrabbing"] = 0;
	else
		itemOptions[id]["costsgrabbing"] = nil;
	end
	if(KARaidTracker_ItemOptionsFrame_Edit_AskCostsAlways:GetChecked()) then
		itemOptions[id]["askcosts"] = 1;
	elseif(KARaidTracker_ItemOptionsFrame_Edit_AskCostsNever:GetChecked()) then
		itemOptions[id]["askcosts"] = 0;
	else
		itemOptions[id]["askcosts"] = nil;
	end
	KARaidTracker_ItemOptionsFrame_Edit:Hide();
end