﻿-- Locals

KARaidTracker_Options = { }


function KARaidTracker_Options.OnShow( frame )
	local options = KARaidTrackerDB.Options;
	
	KARaidTracker_OptionsFrameMinQualitySlider:SetValue(options["MinQuality"]);
	KARaidTracker_OptionsFrameAskCostSlider:SetValue(options["AskCost"]);
	KARaidTracker_OptionsFrameGetDKPValueSlider:SetValue(options["DkpValue"]);
	KARaidTracker_OptionsFrameAutoCreateRaidCB:SetChecked(options["AutoRaidCreation"]);
	KARaidTracker_OptionsFrameLogGroupCB:SetChecked(options["LogGroup"]);
    KARaidTracker_OptionsFrameAutoGroupCB:SetChecked(options["AutoGroup"]);
    KARaidTracker_OptionsFrameLogBattlefieldCB:SetChecked(options["LogBattlefield"]);
    KARaidTracker_OptionsFrameAskWipeCB:SetChecked(options["Wipe"]);
    KARaidTracker_OptionsFrameAskWipeSlider:SetValue(options["WipePercent"]);
    KARaidTracker_OptionsFrameAskNextBossCB:SetChecked(options["NextBoss"]);
    KARaidTracker_OptionsFrameGroupItemsSlider:SetValue(options["GroupItems"]);
    KARaidTracker_OptionsFrameAutoZoneCB:SetChecked(options["AutoZone"]);
    KARaidTracker_OptionsFrameSaveExtendedPlayerInfoCB:SetChecked(options["SaveExtendedPlayerInfo"]);
	KARaidTracker_OptionsFrameSaveTooltipsCB:SetChecked(options["SaveTooltips"]);
	KARaidTracker_OptionsFrameAutoBossSlider:SetValue(options["AutoBoss"]);
	KARaidTracker_OptionsFrameLogAttendeesSlider:SetValue(options["LogAttendees"]);
	KARaidTracker_OptionsFrameTimeSyncCB:SetChecked(options["TimeSync"]);
	KARaidTracker_OptionsFrameTimeZoneSlider:SetValue(options["Timezone"]);
	KARaidTracker_OptionsFrameUseTimeFormat:SetChecked(options["TimeFormat"]);
	KARaidTracker_OptionsFrameMaxLevelSlider:SetValue(options["MaxLevel"]);
	KARaidTracker_OptionsFrameGuildSnapshotCB:SetChecked(options["GuildSnapshot"]);
	KARaidTracker_OptionsFrameExportFormatSlider:SetValue(options["ExportFormat"]);
	KARaidTracker_OptionsFrameDebugMode:SetChecked(options["DebugMode"]);
end

function KARaidTracker_Options.OnSave( frame )
 	local util = KarmaUtility
 	local options = KARaidTrackerDB.Options;
	
    options["MinQuality"] = KARaidTracker_OptionsFrameMinQualitySlider:GetValue();
    options["AskCost"] = KARaidTracker_OptionsFrameAskCostSlider:GetValue();
    options["DkpValue"] = KARaidTracker_OptionsFrameGetDKPValueSlider:GetValue();
    
    if(KARaidTracker_OptionsFrameAutoCreateRaidCB:GetChecked() == 1) then
        options["AutoRaidCreation"] = 1;
    else
        options["AutoRaidCreation"] = 0;
    end
    if(KARaidTracker_OptionsFrameLogGroupCB:GetChecked() == 1) then
        options["LogGroup"] = 1;
    else
        options["LogGroup"] = 0;
    end
    if(KARaidTracker_OptionsFrameAutoGroupCB:GetChecked() == 1) then
        options["AutoGroup"] = 1;
    else
        options["AutoGroup"] = 0;
    end
    if(KARaidTracker_OptionsFrameLogBattlefieldCB:GetChecked() == 1) then
        options["LogBattlefield"] = 1;
    else
        options["LogBattlefield"] = 0;
    end
    if(KARaidTracker_OptionsFrameAskWipeCB:GetChecked() == 1) then
        options["Wipe"] = 1;
    else
        options["Wipe"] = 0;
    end
    options["WipePercent"] = KARaidTracker_OptionsFrameAskWipeSlider:GetValue();
    if(KARaidTracker_OptionsFrameAskNextBossCB:GetChecked() == 1) then
        options["NextBoss"] = 1;
    else
        options["NextBoss"] = 0;
    end
    options["GroupItems"] = KARaidTracker_OptionsFrameGroupItemsSlider:GetValue();
    if(KARaidTracker_OptionsFrameAutoZoneCB:GetChecked() == 1) then
        options["AutoZone"] = 1;
    else
        options["AutoZone"] = 0;
    end
    if(KARaidTracker_OptionsFrameSaveExtendedPlayerInfoCB:GetChecked() == 1) then
        options["SaveExtendedPlayerInfo"] = 1;
    else
        options["SaveExtendedPlayerInfo"] = 0;
    end
    if(KARaidTracker_OptionsFrameSaveTooltipsCB:GetChecked() == 1) then
        options["SaveTooltips"] = 1;
    else
        options["SaveTooltips"] = 0;
    end
    options["AutoBoss"] = KARaidTracker_OptionsFrameAutoBossSlider:GetValue();
    options["LogAttendees"] = KARaidTracker_OptionsFrameLogAttendeesSlider:GetValue();
    if(KARaidTracker_OptionsFrameTimeSyncCB:GetChecked() == 1) then
        options["TimeSync"] = 1;
    else
        options["TimeSync"] = 0;
    end
    if(KARaidTracker_OptionsFrameUseTimeFormat:GetChecked() == 1) then
        options["TimeFormat"] = 1;
    else
        options["TimeFormat"] = 0;
    end
    options["Timezone"] = KARaidTracker_OptionsFrameTimeZoneSlider:GetValue();
    KA_RaidTracker_GetGameTimeOffset();
    options["MaxLevel"] = KARaidTracker_OptionsFrameMaxLevelSlider:GetValue();
    if(KARaidTracker_OptionsFrameGuildSnapshotCB:GetChecked() == 1) then
        options["GuildSnapshot"] = 1;
    else
        options["GuildSnapshot"] = 0;
    end
    if(KARaidTracker_OptionsFrameDebugMode:GetChecked() == 1) then
        options["DebugMode"] = 1;
    else
        options["DebugMode"] = 0;
    end
    options["ExportFormat"] = KARaidTracker_OptionsFrameExportFormatSlider:GetValue();
end